Package com.google.android.exoplayer2.extractor

## Class VorbisUtil.CommentHeader

- java.lang.Object
- - com.google.android.exoplayer2.extractor.VorbisUtil.CommentHeader

- Enclosing class:
    VorbisUtil

      public static final class VorbisUtil.CommentHeader
      extends Object

  Vorbis comment header.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String[]` | `comments` |
    `int` | `length` |
    `String` | `vendor` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentHeader​(String vendor, String[] comments, int length)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vendor

          public final String vendor

    - #### comments

          public final String[] comments

    - #### length

          public final int length

  - ### Constructor Detail

    - #### CommentHeader

          public CommentHeader​(String vendor,
                               String[] comments,
                               int length)